## r-cran-webfakes 1.1.3

=== DESCRIPTION ===
Package: webfakes
Title: Fake Web Apps for HTTP Testing
Version: 1.1.3
Authors@R: 
    c(person(given = "Gábor",
             family = "Csárdi",
             role = c("aut", "cre"),
             email = "csardi.gabor@gmail.com"),
      person(family = "RStudio, Pbc.",
             role = "cph"),
      person(family = "Civetweb contributors",
             role = "ctb",
             comment = "see inst/credits/ciwetweb.md"),
      person(family = "Redoc contributors",
             role = "ctb",
             comment = "see inst/credits/redoc.md"),
      person(given = "L. Peter",
             family = "Deutsch",
             role = "ctb",
             comment = "src/md5.h"),
      person(given = "Martin",
             family = "Purschke",
             role = "ctb",
             comment = "src/md5.h"),
      person(family = "Aladdin Enterprises",
             role = "cph",
             comment = "src/md5.h"),
      person(given = "Maëlle",
             family = "Salmon",
             role = "ctb",
             email = "maelle.salmon@yahoo.se",
             comment = c(ORCID = "0000-0002-2815-0399")))
Description: Create a web app that makes it easier to test web clients
  without using the internet. It includes a web app framework with path
  matching, parameters and templates. Can parse various 'HTTP' request
  bodies. Can send 'JSON' data or files from the disk. Includes a web app
  that implements the <https://httpbin.org> web service.
License: MIT + file LICENSE
URL: https://webfakes.r-lib.org/,
        https://github.com/r-lib/webfakes#readme
BugReports: https://github.com/r-lib/webfakes/issues
RoxygenNote: 7.1.1.9001
Config/testthat/edition: 3
Imports: stats, tools, utils
Suggests: callr, curl, glue, jsonlite, httr, httpuv, testthat (>=
        3.0.0), withr, xml2
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-04-30 11:02:05 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  RStudio, Pbc. [cph],
  Civetweb contributors [ctb] (see inst/credits/ciwetweb.md),
  Redoc contributors [ctb] (see inst/credits/redoc.md),
  L. Peter Deutsch [ctb] (src/md5.h),
  Martin Purschke [ctb] (src/md5.h),
  Aladdin Enterprises [cph] (src/md5.h),
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>)
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-30 11:30:02 UTC

=== debian/changelog ===
r-cran-webfakes (1.1.3-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Fix lintian-override

  [ Nilesh Patra ]
  * Disable one failing test
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Fix and add lintian overrides

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 12:56:07 +0530

r-cran-webfakes (1.1.3-1) unstable; urgency=medium

  * Initial release (closes: #992327)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 12:40:42 +0200

=== debian/control ===
Source: r-cran-webfakes
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webfakes
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webfakes.git
Homepage: https://cran.r-project.org/package=webfakes
Rules-Requires-Root: no

Package: r-cran-webfakes
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: fake Web Apps for HTTP testing of GNU R packages
 Create a web app that makes it easier to test web clients
 without using the internet. It includes a web app framework with path
 matching, parameters and templates. Can parse various 'HTTP' request
 bodies. Can send 'JSON' data or files from the disk. Includes a web app
 that implements the <https://httpbin.org> web service.

## r-cran-webfakes 1.1.6

=== debian/changelog ===
r-cran-webfakes (1.1.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 19:40:25 +0100

r-cran-webfakes (1.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 14:38:02 +0100

r-cran-webfakes (1.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 09:24:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-webfakes
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webfakes
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webfakes.git
+Homepage: https://cran.r-project.org/package=webfakes
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webfakes
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webfakes.git
-Homepage: https://cran.r-project.org/package=webfakes
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-webfakes
 Architecture: any

## r-cran-webfakes 1.1.7

=== DESCRIPTION ===
Package: webfakes
Title: Fake Web Apps for HTTP Testing
Version: 1.1.7
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person(, "RStudio, Pbc.", role = c("cph", "fnd")),
    person(, "Civetweb contributors", role = "ctb",
           comment = "see inst/credits/ciwetweb.md"),
    person(, "Redoc contributors", role = "ctb",
           comment = "see inst/credits/redoc.md"),
    person("L. Peter", "Deutsch", role = "ctb",
           comment = "src/md5.h"),
    person("Martin", "Purschke", role = "ctb",
           comment = "src/md5.h"),
    person(, "Aladdin Enterprises", role = "cph",
           comment = "src/md5.h"),
    person("Maëlle", "Salmon", , "maelle.salmon@yahoo.se", role = "ctb",
           comment = c(ORCID = "0000-0002-2815-0399"))
  )
Description: Create a web app that makes it easier to test web clients
    without using the internet. It includes a web app framework with path
    matching, parameters and templates. Can parse various 'HTTP' request
    bodies. Can send 'JSON' data or files from the disk. Includes a web
    app that implements the <https://httpbin.org> web service.
License: MIT + file LICENSE
URL: https://webfakes.r-lib.org/,
        https://github.com/r-lib/webfakes#readme
BugReports: https://github.com/r-lib/webfakes/issues
Depends: R (>= 3.5.0)
Imports: stats, tools, utils
Suggests: callr, covr, curl, glue, httpuv, httr, jsonlite, testthat (>=
        3.0.0), withr, xml2
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.1.9000
NeedsCompilation: yes
Packaged: 2023-02-08 12:13:59 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  RStudio, Pbc. [cph, fnd],
  Civetweb contributors [ctb] (see inst/credits/ciwetweb.md),
  Redoc contributors [ctb] (see inst/credits/redoc.md),
  L. Peter Deutsch [ctb] (src/md5.h),
  Martin Purschke [ctb] (src/md5.h),
  Aladdin Enterprises [cph] (src/md5.h),
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>)
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-08 13:10:02 UTC

=== debian/changelog ===
r-cran-webfakes (1.1.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 16:09:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webfakes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webfakes.git
 Homepage: https://cran.r-project.org/package=webfakes
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/webfakes_([-\d.]*)\.tar\.gz

## r-cran-webfakes 1.2.0

=== debian/changelog ===
r-cran-webfakes (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Test needs-internet
  * Sync Test-Depends with Suggests

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 18:25:18 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
#         r-cran-brotli,
         r-cran-callr,
         r-cran-covr,
         r-cran-curl,
         r-cran-digest,
         r-cran-glue,
         r-cran-httpuv,
         r-cran-httr,
         r-cran-jsonlite,
         r-cran-testthat,
         r-cran-withr,
         r-cran-xml2,
         r-cran-zip
Restrictions: allow-stderr, needs-internet

## r-cran-webfakes 1.3.0

=== DESCRIPTION ===
Package: webfakes
Title: Fake Web Apps for HTTP Testing
Version: 1.3.0
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person(, "Civetweb contributors", role = "ctb",
           comment = "see inst/credits/ciwetweb.md"),
    person(, "Redoc contributors", role = "ctb",
           comment = "see inst/credits/redoc.md"),
    person("L. Peter", "Deutsch", role = "ctb",
           comment = "src/md5.h"),
    person("Martin", "Purschke", role = "ctb",
           comment = "src/md5.h"),
    person(, "Aladdin Enterprises", role = "cph",
           comment = "src/md5.h"),
    person("Maëlle", "Salmon", , "maelle.salmon@yahoo.se", role = "ctb",
           comment = c(ORCID = "0000-0002-2815-0399"))
  )
Description: Create a web app that makes it easier to test web clients
    without using the internet. It includes a web app framework with path
    matching, parameters and templates. Can parse various 'HTTP' request
    bodies. Can send 'JSON' data or files from the disk. Includes a web
    app that implements the 'httpbin.org' web service.
License: MIT + file LICENSE
URL: https://webfakes.r-lib.org/, https://github.com/r-lib/webfakes
BugReports: https://github.com/r-lib/webfakes/issues
Depends: R (>= 3.6)
Imports: stats, tools, utils
Suggests: brotli, callr, covr, curl, digest, glue, httpuv, httr,
        jsonlite, processx, testthat (>= 3.0.0), withr, xml2, zip (>=
        2.3.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-12-11 01:08:07 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Posit Software, PBC [cph, fnd],
  Civetweb contributors [ctb] (see inst/credits/ciwetweb.md),
  Redoc contributors [ctb] (see inst/credits/redoc.md),
  L. Peter Deutsch [ctb] (src/md5.h),
  Martin Purschke [ctb] (src/md5.h),
  Aladdin Enterprises [cph] (src/md5.h),
  Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>)
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-12-11 04:20:02 UTC

=== debian/changelog ===
r-cran-webfakes (1.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 14:44:28 +0100

r-cran-webfakes (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 11:40:07 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-covr,
        r-cran-curl,
        r-cran-digest,
        r-cran-glue,
        r-cran-httpuv,
        r-cran-httr,
        r-cran-jsonlite,
        r-cran-processx,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr,
        r-cran-xml2,
        r-cran-zip (>= 2.3.0)
Restrictions: allow-stderr, needs-internet

## r-cran-webfakes 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: webfakes
 Title: Fake Web Apps for HTTP Testing
-Version: 1.3.0
+Version: 1.3.2
 Authors@R: c(
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
     person("Posit Software, PBC", role = c("cph", "fnd")),
@@ -33,9 +33,9 @@
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-12-11 01:08:07 UTC; gaborcsardi
+Packaged: 2025-01-11 09:17:50 UTC; gaborcsardi
 Author: Gábor Csárdi [aut, cre],
   Posit Software, PBC [cph, fnd],
   Civetweb contributors [ctb] (see inst/credits/ciwetweb.md),
@@ -46,4 +46,4 @@
   Maëlle Salmon [ctb] (<https://orcid.org/0000-0002-2815-0399>)
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-11 04:20:02 UTC
+Date/Publication: 2025-01-11 09:40:01 UTC

=== debian/changelog ===
r-cran-webfakes (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 15:09:32 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webfakes
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webfakes.git
 Homepage: https://cran.r-project.org/package=webfakes
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-webfakes 1.4.0

=== debian/changelog ===
r-cran-webfakes (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 19:28:05 +0900

=== debian/control ===
Source: r-cran-webfakes
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-webfakes
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-webfakes.git
Homepage: https://cran.r-project.org/package=webfakes
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-webfakes
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: fake Web Apps for HTTP testing of GNU R packages
 Create a web app that makes it easier to test web clients
 without using the internet. It includes a web app framework with path
 matching, parameters and templates. Can parse various 'HTTP' request
 bodies. Can send 'JSON' data or files from the disk. Includes a web app
 that implements the <https://httpbin.org> web service.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr, needs-internet
Depends:
 @,
 r-cran-callr,
 r-cran-covr,
 r-cran-curl,
 r-cran-digest,
 r-cran-glue,
 r-cran-httpuv,
 r-cran-httr,
 r-cran-jsonlite,
 r-cran-processx,
 r-cran-testthat (>= 3.0.0),
 r-cran-withr,
 r-cran-xml2,
 r-cran-zip (>= 2.3.0),
